Recurring Invoices

Read-only access to your recurring invoice templates. Each template auto-generates invoices at its configured frequency until recurringEndDate.

GETList recurring invoice templates

GET/recurring-invoices
ParameterTypeDescription
pageintegerPage number (default: 1)
limitintegerItems per page, max 100 (default: 20)
customerIdstringFilter by customer ID
frequencystringWEEKLY | BIWEEKLY | MONTHLY | QUARTERLY | YEARLY
activebooleantrue = still generating, false = ended
curl "https://paymavo.com/api/v1/recurring-invoices?active=true&frequency=MONTHLY" \
  -H "Authorization: Bearer sk_live_xxx"

GETGet a recurring invoice template

GET/recurring-invoices/{id}

Includes generatedInvoicesCount — the number of invoices produced so far from this template.

curl "https://paymavo.com/api/v1/recurring-invoices/clx_template_id" \
  -H "Authorization: Bearer sk_live_xxx"